ServerEvents.recipes(event => {
    event.remove({id: 'bigreactors:reactor/basic/casing'})
    event.remove({id: 'bigreactors:reactor/basic/controller_ingots_uranium'})
    event.remove({id: 'bigreactors:reactor/basic/controller_ingots_yellorium'})
    event.remove({id: 'bigreactors:reactor/basic/fuelrod_ingots_uranium'})
    event.remove({id: 'bigreactors:reactor/basic/fuelrod_ingots_yellorium'})
    event.remove({id: 'bigreactors:reactor/basic/controlrod'})
    event.remove({id: 'bigreactors:reactor/reinforced/casing'})
    event.remove({id: 'bigreactors:reactor/reinforced/casing_upgrade'})
    event.remove({id: 'bigreactors:reactor/reinforced/controller_ingots_uranium'})
    event.remove({id: 'bigreactors:reactor/reinforced/controller_ingots_yellorium'})
    event.remove({id: 'bigreactors:reactor/reinforced/fuelrod_ingots_uranium'})
    event.remove({id: 'bigreactors:reactor/reinforced/fuelrod_ingots_yellorium'})
    event.remove({id: 'bigreactors:reactor/reinforced/controlrod'})
    event.remove({id: 'bigreactors:turbine/basic/casing'})
    event.remove({id: 'bigreactors:fluidizer/casing'})
    event.remove({id: 'bigreactors:reprocessor/casing'})
  })

ServerEvents.recipes(event => {
    //Basic Reactor Casing
    event.shaped('bigreactors:basic_reactorcasing',
    ['121','232','121'], {
    1: '#forge:ingots/steel',
    2: '#forge:ingots/graphite',
    3: '#forge:sandstone'
    }).id('bigreactors:reactor/basic/casing')
    
    //Basic Reactor Control Rod
    event.shaped('bigreactors:basic_reactorcontroller',
    ['121','343','151'], {
    1: 'bigreactors:basic_reactorcasing',
    2: 'minecraft:comparator',
    3: '#forge:ingots/steel',
    4: '#forge:storage_blocks/shadow_gem',
    5: '#forge:ingots/graphite'
    }).id('bigreactors:reactor/basic/controller')
    
    //Basic Reactor Controller
    event.shaped('bigreactors:basic_reactorcontrolrod',
    ['121','343','151'], {
    1: 'bigreactors:basic_reactorcasing',
    2: '#forge:storage_blocks/redstone_ingot',
    3: '#forge:storage_blocks/steel',
    4: '#forge:pistons',
    5: '#forge:ingots/graphite'
    }).id('bigreactors:reactor/basic/controlrod')
    
    //Basic Reactor Fuel Rod
    event.shaped('bigreactors:basic_reactorfuelrod',
    ['121','343','121'], {
    1: '#forge:ingots/steel',
    2: '#forge:ingots/graphite',
    3: '#forge:glass',
    4: '#forge:storage_blocks/uranium'
    }).id('bigreactors:reactor/basic/fuelrod')
    
    //Reinforced Reactor Casing
    event.shaped('bigreactors:reinforced_reactorcasing',
    ['121','232','121'], {
    1: '#forge:ingots/compressed_iron',
    2: '#forge:ingots/graphite',
    3: 'bigreactors:basic_reactorcasing'
    }).id('bigreactors:reactor/reinforced/casing')
    
    //Reinforced Reactor Controller
    event.shaped('bigreactors:reinforced_reactorcontroller',
    ['121','343','151'], {
    1: 'bigreactors:reinforced_reactorcasing',
    2: 'minecraft:comparator',
    3: '#forge:storage_blocks/uranium',
    4: 'bigreactors:basic_reactorcontroller',
    5: '#forge:storage_blocks/redstone_ingot'
    }).id('bigreactors:reactor/reinforced/controller')
    
    //Reinforced Reactor Fuel Rod
    event.shaped('bigreactors:reinforced_reactorfuelrod',
    ['121','343','121'], {
    1: '#forge:ingots/compressed_iron',
    2: '#forge:ingots/graphite',
    3: 'bigreactors:basic_reactorfuelrod',
    4: '#forge:storage_blocks/uranium'
    }).id('bigreactors:reactor/reinforced/fuelrod')
    
    //Reinforced Reactor Control Rod
    event.shaped('bigreactors:reinforced_reactorcontrolrod',
    ['121','343','151'], {
    1: 'bigreactors:reinforced_reactorcasing',
    2: '#forge:storage_blocks/redstone_ingot',
    3: '#forge:storage_blocks/compressed_iron',
    4: 'bigreactors:basic_reactorcontrolrod',
    5: '#forge:ingots/graphite'
    }).id('bigreactors:reactor/reinforced/controlrod')
    
    //Basic Turbine Housing
    event.shaped('bigreactors:basic_turbinecasing',
    ['121','232','121'], {
    1: '#forge:ingots/compressed_iron',
    2: '#forge:ingots/cyanite',
    3: '#forge:storage_blocks/redstone_ingot'
    }).id('bigreactors:turbine/basic/casing')
    
    //Fluidizer Casing
    event.shaped('4x bigreactors:fluidizercasing',
    ['121','232','121'], {
    1: '#forge:ingots/compressed_iron',
    2: '#forge:ingots/cyanite',
    3: '#forge:buckets/water'
    }).id('bigreactors:fluidizer/casing')
    
    //Reprocessor Casing
    event.shaped('bigreactors:reprocessorcasing',
    ['121','232','121'], {
    1: '#forge:ingots/compressed_iron',
    2: 'bigreactors:fluidizercasing',
    3: '#forge:buckets/water'
    }).id('bigreactors:reprocessor/casing')

    //Yellorium Ingot -> Uranium Ingot
    event.replaceInput(
      { mod: 'bigreactors' }, // Arg 1: the filter
      'bigreactors:yellorium_ingot',            // Arg 2: the item to replace
      '#forge:ingots/uranium'         // Arg 3: the item to replace it with
    ) 
  })